summaryrefslogtreecommitdiffstats
path: root/source/n/biff+comsat/biff+comsat.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/biff+comsat/biff+comsat.SlackBuild')
-rwxr-xr-xsource/n/biff+comsat/biff+comsat.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/source/n/biff+comsat/biff+comsat.SlackBuild b/source/n/biff+comsat/biff+comsat.SlackBuild
new file mode 100755
index 000000000..b50da5aa6
--- /dev/null
+++ b/source/n/biff+comsat/biff+comsat.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=0.17
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-biff+comsat
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf biff+comsat-$VERSION
+tar xvf $CWD/biff+comsat-$VERSION.tar.gz || exit 1
+cd biff+comsat-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/biff+comsat-0.17.diff.gz | patch -p1 --verbose || exit
+zcat $CWD/biff+comsat.offset.diff.gz | patch -p1 --verbose || exit
+zcat $CWD/biff+comsat.badutmp.diff.gz | patch -p1 --verbose || exit
+
+./configure --prefix=/usr
+make || exit 1
+
+cd biff
+strip biff
+mkdir -p $PKG/usr/bin
+cat biff > $PKG/usr/bin/biff
+chmod 755 $PKG/usr/bin/biff
+mkdir -p $PKG/usr/man/man{1,8}
+cat biff.1 | gzip -9c > $PKG/usr/man/man1/biff.1.gz
+cd ../comsat
+strip comsat
+mkdir -p $PKG/usr/sbin
+cat comsat > $PKG/usr/sbin/in.comsat
+chmod 755 $PKG/usr/sbin/in.comsat
+cat comsat.8 | gzip -9c > $PKG/usr/man/man8/in.comsat.8.gz
+
+cd ..
+mkdir -p $PKG/usr/doc/biff+comsat-$VERSION
+cp -a README $PKG/usr/doc/biff+comsat-$VERSION
+chown root:root $PKG/usr/doc/biff+comsat-$VERSION/*
+chmod 644 $PKG/usr/doc/biff+comsat-$VERSION/*
+
+# Finish up the package:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/biff+comsat-$VERSION-$ARCH-$BUILD.txz
+